summaryrefslogtreecommitdiff
path: root/tests/run-all
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-07-31 14:04:58 +0800
committerSean Whitton <spwhitton@spwhitton.name>2018-07-31 14:04:58 +0800
commit3c5614c2292cb2fa1c50915d18510f5c2c915b76 (patch)
tree37703aa7eda0ad83849308db586566c1f23d6fae /tests/run-all
parente21dbf9b02e32aec335262b2999686c37f01ba00 (diff)
parentf052e1326357a6365a5eddbb985a5b1ef9b4fdb2 (diff)
Merge tag 'debian/6.2' into stretch-bpo
dgit release 6.2 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 29 Jul 2018 08:02:30 PM CST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/run-all')
-rwxr-xr-xtests/run-all13
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/run-all b/tests/run-all
index f72b9fa..c930171 100755
--- a/tests/run-all
+++ b/tests/run-all
@@ -1,10 +1,19 @@
#!/bin/bash
set -e
# convenience script for running the tests outside adt-run
-# usage: tests/using-intree tests/run-all
+# usage: tests/using-intree tests/run-all [-p|--progressive] [tests/tests/*]
set -o pipefail
+while [ $# != 0 ]; do
+ case "$1" in
+ --progressive|-p) shift; export DGIT_TESTS_PROGRESSIVE=y;;
+ --) shift; break ;;
+ -*) echo >&2 "run-all: unknown option $1"; exit 20 ;;
+ *) break ;;
+ esac
+done
+
ncpus=$(nproc || echo 1)
jcpus=-j$(( ncpus * 134 / 100 ))
@@ -14,6 +23,8 @@ fi
mkdir -p tests/tmp
+${DGIT_TESTS_PROGRESSIVE+:} rm -f tests/tmp/*.ok
+
export DGIT_GNUPG_STUNT_ERRLOG=$( tty -s ||: )
(